|
From: Christopher D. M. <cas...@us...> - 2012-02-28 17:07:12
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "cap4".
The branch, master has been updated
via 4178f45da0c038441b160e9514a2df9eecd14de9 (commit)
from 1996f19a6628e5d2c5d84d6882aa502aa2d923ac (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 4178f45da0c038441b160e9514a2df9eecd14de9
Author: CDM <cas...@us...>
Date: Tue Feb 28 10:06:12 2012 -0700
CDM: build a deb with new system, now to test rpmbuild
-----------------------------------------------------------------------
Summary of changes:
build-cap4.sh | 2 +
build.sh | 51 ++++++++++++++++++++++++++++++++++
debian/DEBIAN/conffiles | 1 -
debian/DEBIAN/control | 48 ++++++++++++++++----------------
{docs => doc}/COPYRIGHT | 0
{docs => doc}/GPL_V2 | 0
{docs => doc}/cap-program-template | 0
install.sh | 54 ++++++++++++++++++++++++++++++++++++
8 files changed, 131 insertions(+), 25 deletions(-)
create mode 100755 build.sh
rename {docs => doc}/COPYRIGHT (100%)
rename {docs => doc}/GPL_V2 (100%)
rename {docs => doc}/cap-program-template (100%)
create mode 100755 install.sh
diff --git a/build-cap4.sh b/build-cap4.sh
index 29d7fc6..fb145cb 100755
--- a/build-cap4.sh
+++ b/build-cap4.sh
@@ -124,6 +124,8 @@ elif [ $PKG = deb ]; then
rm -fr /tmp/cap4-debian
fi
mkdir -p /tmp/cap4-debian
+ cd $CAP4DEVHOME
+ $CAP4DEVHOME/install.sh /tmp/cap4-debian
cd ${SOURCE_BUILD_ROOT}
cp -r debian/DEBIAN /tmp/cap4-debian
sed ${REL_SEDCMD} $CAP4DEVHOME/debian/DEBIAN/control > /tmp/cap4-debian/DEBIAN/control
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..5ac1188
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+############################################################################
+# Name: build
+# File: build.sh
+# Purpose: build perl doc man pages
+# Bug Reports: cap4-devel_AT_lists_DOT_sf_DOT_net
+#
+# Last Changed:
+# $Id: build.sh 1138 2007-11-12 16:32:33Z jatencio $
+#
+# Copyright:
+# © Copyright 2006, 2007,2012 Hewlett-Packard Development Company, L.P
+#
+# License: GPL v2
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+############################################################################
+
+BUILD_ROOT=$1
+exit
+
+# Build the man pages commands
+#find usr/bin usr/sbin -type f -exec perldoc -d{}.1 -oman {} \;
+#find usr/bin usr/sbin -type f -name *.1 -exec gzip -9 {} \;
+
+#
+# change permissions properly
+#
+#find usr/bin usr/sbin usr/libexec/drivers -exec chmod a+rx {} \;
+#mkdir -p usr/share/man/man1
+#mv usr/bin/*.gz usr/sbin/*.gz usr/share/man/man1
+
+# Build the man pages perl modules and cli drivers
+#find usr/libexec -name '*.p?' -exec perldoc -d{}.3 -oman {} \;
+
+# move libexec drivers to man3
+#mkdir -p usr/share/man/man3
+#find usr/libexec -name '*.3' -exec gzip -9 {} \;
+#find usr/libexec -name '*.gz' -exec mv {} usr/share/man/man3/ \; -print
+
diff --git a/debian/DEBIAN/conffiles b/debian/DEBIAN/conffiles
index fc6374a..e69de29 100644
--- a/debian/DEBIAN/conffiles
+++ b/debian/DEBIAN/conffiles
@@ -1 +0,0 @@
-/etc/cap/cap.conf
diff --git a/debian/DEBIAN/control b/debian/DEBIAN/control
index e9eb28b..5be7b1e 100644
--- a/debian/DEBIAN/control
+++ b/debian/DEBIAN/control
@@ -12,28 +12,28 @@ Replaces:
Installed-Size: 3300
Maintainer: CAP DEVELOPERS <cap-devel_AT_sf_DOT_net>
Description: The Cluster Administration Package (CAP) is meant to ease integration,
-configuration, and systems management for clustering. It is the "glue"
-that allows cluster administrators to leverage existing technologies
-in a functional framework. This is done by delivering functionality
-into three component categories.
-
-The first is "Information Management." From this category functions
-can be written to generate standard unix configuration files or to
-produce a file arrangement suitable for other clustering technologies.
-
-The next category is "Control." This category allows an administrator
-to control their cluster as one system using common methods one uses to
-control a single system, such as power and console. With the addition of
-management devices, a cluster administrator can also control uids or
-gather system sensor data when possible.
-
-The last category is "Installation." When installing a multitude of
-systems a cluster administrator wants a common method or set of methods
-to ensure a set of functionality if delivered to each node in their
-cluster. By leveraging existing technologies, CAP can ensure it can adapt
-to fit the needs of other installation methods available. clusters.
-
-Authors:
---------
- CAPforge.org
+ configuration, and systems management for clustering. It is the "glue"
+ that allows cluster administrators to leverage existing technologies
+ in a functional framework. This is done by delivering functionality
+ into three component categories.
+ .
+ The first is "Information Management." From this category functions
+ can be written to generate standard unix configuration files or to
+ produce a file arrangement suitable for other clustering technologies.
+ .
+ The next category is "Control." This category allows an administrator
+ to control their cluster as one system using common methods one uses to
+ control a single system, such as power and console. With the addition of
+ management devices, a cluster administrator can also control uids or
+ gather system sensor data when possible.
+ .
+ The last category is "Installation." When installing a multitude of
+ systems a cluster administrator wants a common method or set of methods
+ to ensure a set of functionality if delivered to each node in their
+ cluster. By leveraging existing technologies, CAP can ensure it can adapt
+ to fit the needs of other installation methods available. clusters.
+ .
+ Authors:
+ --------
+ CAPforge.org
diff --git a/docs/COPYRIGHT b/doc/COPYRIGHT
similarity index 100%
rename from docs/COPYRIGHT
rename to doc/COPYRIGHT
diff --git a/docs/GPL_V2 b/doc/GPL_V2
similarity index 100%
rename from docs/GPL_V2
rename to doc/GPL_V2
diff --git a/docs/cap-program-template b/doc/cap-program-template
similarity index 100%
rename from docs/cap-program-template
rename to doc/cap-program-template
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..44278b4
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+############################################################################
+# Name: install
+# File: install.sh
+# Purpose: install cap to build root directory
+# Bug Reports: cap4-devel_AT_lists_DOT_sf_DOT_net
+#
+# Last Changed:
+# $Id: install.sh 1138 2007-11-12 16:32:33Z jatencio $
+#
+# Copyright:
+# © Copyright 2006, 2007, 2012 Hewlett-Packard Development Company, L.P
+#
+# License: GPL v2
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+############################################################################
+
+set -x
+pwd
+BUILD_ROOT=$1
+
+# place stuff in /opt/cap4 and softlink to it from standard space instead
+_cap_home=$2
+#_capconf_home=/etc
+#_capdb_home=/var/lib/cap
+#_cap_workorder_home=/var/spool/cap
+
+[ $# -lt 1 ] && echo "$0 BUILD_ROOT _cap_home" && exit 1
+[ "x${_cap_home}" = "x" ] && _cap_home=/opt/cap4
+
+# copy toolbox install
+mkdir -p ${BUILD_ROOT}/${_cap_home}/libexec/toolbox
+cp -rp --preserve=link toolbox/* ${BUILD_ROOT}/${_cap_home}/libexec/toolbox/
+
+# copy toolbox install
+mkdir -p ${BUILD_ROOT}/${_cap_home}/share/doc
+cp -rp --preserve=link doc/* ${BUILD_ROOT}/${_cap_home}/share/doc/
+
+# copy man pages
+# soft link if we want
+#### etc,bin,sbin,man, links
+
hooks/post-receive
--
cap4
|